Subject: bug#15900: 24.3.50; foreground-color-at-point returns wrong results

From: Michael Heerdegen <[email-masked]>
Date: Mon, 18 Nov 2013 08:50:37 +0100

Eli Zaretskii <[email-masked]> writes:

> > There's no difficulty.
>
> Then I don't understand why you still want to analyze colors instead
> of analyzing faces.  This is what my suggestion boiled down to:
> instead of trying to figure out the foreground color of the text at
> point, just compare its face(s) with a list of known faces whose
> appearance you don't want to override.

Ok, I think now I understand your point.  And I see that my approach has
its difficulties: faces can be customized (a foreground attribute can be
removed or added), faces can even be frame dependent, etc.  What I do is
just a heuristic.  Mmh, let me think about it.  Thanks for your opinion.

Regards,

Michael.